%define		PYVER		2.6
%define		__python	python%{PYVER}
%define		PVER		%(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		python%{PVER}-decoratortools
Version:	1.7
Release:	2
Summary:	Use class and function decorators -- even in Python 2.3
Group:		Development/Languages
License:	Python or ZPLv2.1
URL:		http://cheeseshop.python.org/pypi/DecoratorTools
Source0:	http://cheeseshop.python.org/packages/source/D/DecoratorTools/DecoratorTools-%{version}.zip
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	noarch
Requires:	python%{PVER}-decorator
BuildRequires:	python%{PVER}-devel
BuildRequires:	python%{PVER}-setuptools
Provides:	python-decoratortools = %{version}-%{release}
Obsoletes:	python-decoratortools <= %{version}-%{release}
Obsoletes:	python25-decoratortools <= %{version}-%{release}

%description
Want to use decorators, but still need to support Python 2.3? Wish you could
have class decorators, decorate arbitrary assignments, or match decorated
function signatures to their original functions? Then you need "DecoratorTools"

%prep
%setup -q -n DecoratorTools-%{version}

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README.txt
%{python_sitelib}

%changelog
* Mon Nov 16 2009 Christian Wasem <wasem@ccux-linux.de> 1.7-2
- rebuild against python26-2.6.3-1
* Sat Oct 31 2009 Christian Wasem <wasem@ccux-linux.de> 1.7-1
- Initial CCux Release
